10762 fails to load projects

I just tried to load various branches of my current project using 10762, and they all fail to load with the following exception:

com/intellij/coverage/CoverageDataManager: com/intellij/coverage/CoverageDataManager
java.lang.NoClassDefFoundError: com/intellij/coverage/CoverageDataManager


Ill have to drop back to 10666.

8 comments
Comment actions Permalink

Do you have the TeamCity plugin installed?  I had the same issue and disabling that plugin fixed it (if you go to the bottom of the stack traces it should reference a buildServer package).  Not sure if it's an IDEA or TeamCity issue.

0
Comment actions Permalink

I do indeed.  Disabling that resolved the project load problem (but obviously present another, slightly less important problem..)
What version of the TC plugin did you have installed? I had the latest EAP build (10307).

Thanks for the tip!

Nick

0
Comment actions Permalink

Nick - We (I work with Russ) were using build 9071 of the TeamCity plugin (from v4.5.4). I just upgraded our server to TeamCity 4.5.5 and installed its plugin (9103) in IDEA. It is working with Maia 10762. Hopefully whatever the change is in the plugin between TC 4.5.4 and 4.5.5 will be introduced into the TeanCity 5 EAP soon.

0
Comment actions Permalink

I had the same problem.  IDEA 10762 + TeamCity plugin 9071.

Thanks for the info.

0
Comment actions Permalink

Yes, same here. Our Team City plug in didn't work properly with the last three EAP versions, but at least it let me load my projects...

It doesn't really matter now whether the CVS bugs have been fixed - if the Team City plugin won't work I'm going to have to go back to 10633 or earlier :-(

0
Comment actions Permalink

Hello Dave,

Yes, same here. Our Team City plug in didn't work properly with the
last three EAP versions, but at least it let me load my projects...

It doesn't really matter now whether the CVS bugs have been fixed - if
the Team City plugin won't work I'm going to have to go back to 10633
or earlier :(


The TeamCity plugin from 4.5.5 or the next 5.0 EAP (coming very soon) is
compatible with 10762.

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

OK, thanks Dmitry - unfortunately we're still on TC Version 4.0.2 (build 8222), and although I put in an update request, I don't know when or even if it will be done.

Still, I guess that's our problem.

0
Comment actions Permalink

I can confirm that the latest TC5.0 EAP (build 10380) works fine with IDEA EAP 10762

0

Please sign in to leave a comment.